%define pkg_name        DBM-Deep
%define pkg_version     1.0004
%define rpm_pkg_version 1.0004
%define rpm_pkg_release 1.n0i.9

Summary:       A pure perl multi-level hash/array DBM
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RK/RKINYON/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
%if %{!?_without_test:1}0
BuildRequires: perl(Clone) >= 0.01
BuildRequires: perl(Digest::MD5) >= 1.00
BuildRequires: perl(Fcntl) >= 0.01
BuildRequires: perl(File::Path) >= 0.01
BuildRequires: perl(File::Temp) >= 0.01
BuildRequires: perl(FileHandle::Fmode) >= 0.05
BuildRequires: perl(IO::Scalar) >= 0.01
BuildRequires: perl(Scalar::Util) >= 1.14
BuildRequires: perl(Test::Deep) >= 0.095
BuildRequires: perl(Test::Exception) >= 0.21
BuildRequires: perl(Test::More) >= 0.47
BuildRequires: perl(Test::Warn) >= 0.08
%endif


%description
A unique flat-file database module, written in pure perl. True multi-level
hash/array support (unlike MLDBM, which is faked), hybrid OO / tie()
interface, cross-platform FTPable files, and quite fast. Can handle
millions of keys and unlimited hash levels without significant slow-down.

Written from the ground-up in pure perl -- this is NOT a wrapper around a
C-based DBM.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Sat Sep 29 2007 Marius Feraru <altblue@n0i.net> - 1.0004-1.n0i.9
- version 1.0004

* Tue Sep 25 2007 Marius Feraru <altblue@n0i.net> - 1.0003-1.n0i.8
- version 1.0003

* Fri Sep 21 2007 Marius Feraru <altblue@n0i.net> - 1.0002-1.n0i.7
- version 1.0002

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.0001-1.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.0001

* Fri Apr 14 2006 Marius Feraru <altblue@n0i.net> - 0.98_3-1.n0i.5.0.983
- version 0.983

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 0.98_2-1.n0i.4.0.982
- version 0.982

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.98-1.n0i.3
- version 0.98

* Mon Oct 17 2005 Marius Feraru <altblue@n0i.net> 0.96-1.n0i.2
- version 0.96

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 0.94-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
